{% extends 'base.html.twig' %}

{% block title %}Modifier le groupe{% endblock %}

{% block body %}

<div style="background-color: #f8f9fc; min-height: 100%">
    <div class="container-fluid px-5">
        <div class="row justify-content-center">

            <div class="col-6 mb-5 mt-5">
                <div class="row justify-content-center">
                    <div class="col-12">
                        <a class="mr-4" href="{{ path("detailGroup", {"id": group.id}) }}"><i class="fas fa-chevron-circle-left fa-2x text-gray-300"></i></a>
                        <h1 class="font-weight-bold d-inline">Modifier un groupe</h1>
                    </div>

                    {% for label, messages in app.flashes %}
                        {% for message in messages %}
                            <div class="alert alert-{{ label }}">
                                {{ message }}
                            </div>
                        {% endfor %}
                    {% endfor %}

                    <div class="col-12 mt-5">
                        {{ form_start(editForm) }}
                        <div class="form-group w-75 m-auto pb-3">
                           {{ form_widget(editForm.groupAdd.title, {'attr': {'placeholder': 'Titre'}, 'value' : app.session.get('title')??group.title} ) }}
                        </div>
                    </div>

                    <div class="col-12 text-left mt-4 mb-5">
                        <h4 class="ml-5 pl-4 d-inline">Membres du groupe</h4>
                    </div>

                    <div class="col-12 pl-5 ml-5 mb-3">
                        <ul class="ml-5 list-inline">
                            {% for email in app.session.get('userEmails') %}
                                <li class="list-item">{{ email }} {% if email != app.user.email %} <a href="{{ path("removeUserToAGroup", {"userEmail": email, "previousPage":"edit", "id":group.id}) }}">Retirer</a>{% endif %}</li>
                            {% endfor %}
                        </ul>
                    </div>

                    <div class="col-12 text-center mb-4">
                        <div class="form-group w-50 d-inline-block m-0 pb-3">
                            {{ form_widget(editForm.userResearch, {'attr': {'placeholder': 'Entrer un prénom ou un nom'}} ) }}
                        </div>
                        <div class="form-group d-inline-block m-0 pb-2">
                            {{ form_widget(editForm.research, {'attr': { 'class': 'btn-success'}}) }}
                        </div>
                        <ul>
                            {% for user in users %}
                                <li>{{ user.firstName }} {{ user.lastName }} ({{ user.email }}) <a href="{{ path("addUserToAGroup", {"userEmail": user.email, "title": editForm.vars.value.groupAdd.title, "previousPage":"edit", "id":group.id}) }}"><button type="button" class="btn btn-sm btn-outline-success">Ajouter</button></a> </li>
                            {% endfor %}
                        </ul>
                    </div>

                    <div class="col-12 text-right">
                        {{ form_widget(editForm.edit, {'attr': { 'class': 'btn btn-lg d-inline btn-success btn-block text-right w-50 mt-4 mb-3'}}) }}
                    </div>

                </div>
            {{ form_end(editForm) }}
            </div>
        </div>
    </div>
</div>

{% endblock %}

